#!/usr/bin/perl5

require "../openfaq.pl";

opendir(DIN, ".");
@allfilesRaw = grep /^\d+$/, readdir DIN;
closedir(DIN);
@allfiles = sort { $a <=> $b } @allfilesRaw;
open(OUT, ">../toc.txt");
print OUT <<EOM
$topic

Maintainer: $maintainer, $maintainerEmail

This document is covered by the GNU Public License. All articles
can be freely reproduced intact under the terms of that license. 
Anyone can become a contributor to this document!

For the ANSWERS to these questions or to CONTRIBUTE NEW QUESTIONS
WITH ANSWERS, PLEASE VISIT:

http://www.boutell.com/openfaq/browsers/

Table of Contents

EOM
;

for ($i = 0; ($i < int(@allfiles)); $i++) {
	$f = $allfiles[$i];
	$id = int($f);
	if ($i < (int(@allfiles) - 1)) {
		$next = int($allfiles[$i + 1]);
	}
	&readEntry($id, 0);
	print OUT $subject;
}

print OUT <<EOM	

For the ANSWERS to these questions or to CONTRIBUTE NEW QUESTIONS
WITH ANSWERS, PLEASE VISIT:

http://www.boutell.com/openfaq/browsers/
EOM
;
close(OUT);

print <<EOM
<h1>TOC Updated</h1>
The table of contents file, toc.txt, has been updated.
EOM
;

