require "/home/boutell/html/openfaq/browsers/cgi-lib.pl";

srand(time() ^ ($$ + ($$ << 15)));

$workingDir = "/home/boutell/openfaq/browsers/authors";
#No slash on the end
$url = "http://www.boutell.com/openfaq/browsers";
$sendmail = "/usr/lib/sendmail";
$topic = "Web Browsers OpenFAQ";
$maintainer = "Thomas Boutell";
$maintainerUserName = "boutell";
$maintainerEmail = "boutell\@boutell.com";
$passwordFile = "/home/boutell/openfaq.pwd";
$emailAddressesFile = "/home/boutell/openfaq.email";
chdir($workingDir);
$user = $ENV{"REMOTE_USER"};
if ($user ne "") {
	my($line);
	open(IN, $emailAddressesFile);
	while ($line = <IN>) {
		my($name, $em) = split(/\t/, $line);
		if ($name eq $user) {
			$email = $em;
			last;
		}
	}
	close(IN);
}	

$request = $ENV{"PATH_INFO"};

print "Content-type: text/html\n\n";
print "<title>", $topic, "</title>\n";
print "<base href=\"$url/\">\n";
print "<h1>", $topic, "</h1>\n";

&ReadParse(*input);

sub readEntry
{
	my($id, $update) = @_;
	my($high);
	@by = ( );
	@email = ( );
	$entry = "";
	$high = 0;
	if ($update) {
		if (!open(IN, $id . ".update")) {
			return 0;
		}
	} else {
		if (!open(IN, $id)) {
			return 0;
		}
	}
	$subject = <IN>;
	while (1) {
		my($by, $email);
		$by = <IN>;
		chomp $by;
		if ($by eq "") {
			last;
		}
		$email = <IN>;
		chomp $email;
		$by[$high] = $by;
		$email[$high] = $email;
		$high++;
	}	
	while (<IN>) {
		$entry .= $_;
	}
	close(IN);
	return 1;
}

sub writeEntry
{
	my($id, $updateFlag) = @_;
	if ($updateFlag) {
		if (!open(OUT, ">" . $id . ".update")) {
			return 0;
		}
	} else {
		if (!open(OUT, ">" . $id)) {
			return 0;
		}
	}
	chomp $subject;
	print OUT $subject, "\n";
	my($i);
	for ($i = 0; ($i < int(@by)); $i++) {
		print OUT $by[$i], "\n";
		print OUT $email[$i], "\n";
	}
	# Blank line ending maintainer list
	print OUT "\n";
	# Actual entry
	print OUT $entry;
	close(OUT);
	return 1;
}

sub htmlEscape
{
	my($arg) = @_;
	$arg =~ s/&/&amp;/g;	
	$arg =~ s/</&lt;/g;	
	$arg =~ s/>/&gt;/g;	
	return $arg;
}

sub checkMaintainer
{
	if ($user ne $maintainerUserName) {
		print "<h2>Unauthorized</h2>\n";
		print "Only the maintainer is permitted to use this feature.\n";
		exit 0;
	}
}

1;

